summaryrefslogtreecommitdiffstats
path: root/src/3rdparty/libcroco/global-test-vars.sh.in
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--src/3rdparty/libcroco/global-test-vars.sh.in12
1 files changed, 12 insertions, 0 deletions
diff --git a/src/3rdparty/libcroco/global-test-vars.sh.in b/src/3rdparty/libcroco/global-test-vars.sh.in
new file mode 100644
index 0000000..cfe1849
--- /dev/null
+++ b/src/3rdparty/libcroco/global-test-vars.sh.in
@@ -0,0 +1,12 @@
+TEST_OUT_DIR=./tests
+TEST_SOURCE_DIR=@srcdir@/tests
+TEST_INPUTS_DIR="$TEST_SOURCE_DIR"/test-inputs
+CSSLINT=./csslint/.libs/csslint-@LIBCROCO_MAJOR_VERSION@.@LIBCROCO_MINOR_VERSION@
+if ! test -x $CSSLINT ; then
+ echo "Error: Could not find an executable csslint. I was looking for $CSSLINT" >&2
+ exit 1
+fi
+
+if ! test x"$VALGRIND" = x ; then
+ CSSLINT="$VALGRIND $CSSLINT"
+fi